<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scp](./bitburner.ns.scp_1.md)

## NS.scp() method

<b>Signature:</b>

```typescript
scp(files: string | string[], source: string, destination: string): Promise<boolean>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  files | string \| string\[\] |  |
|  source | string |  |
|  destination | string |  |

<b>Returns:</b>

Promise&lt;boolean&gt;

